
From: viro@parcelfarce.linux.theplanet.co.uk

* don't take the unnecessary ->host_lock around ->scsi_done() call.


---

 25-akpm/drivers/scsi/ppa.c |    4 ----
 1 files changed, 4 deletions(-)

diff -puN drivers/scsi/ppa.c~PPA8-ppa_lock_fix-RC1 drivers/scsi/ppa.c
--- 25/drivers/scsi/ppa.c~PPA8-ppa_lock_fix-RC1	Wed Jan 14 13:35:51 2004
+++ 25-akpm/drivers/scsi/ppa.c	Wed Jan 14 13:35:51 2004
@@ -627,7 +627,6 @@ static void ppa_interrupt(void *data)
 {
 	ppa_struct *dev = (ppa_struct *) data;
 	Scsi_Cmnd *cmd = dev->cur_cmd;
-	unsigned long flags;
 
 	if (!cmd) {
 		printk("PPA: bug in ppa_interrupt\n");
@@ -680,10 +679,7 @@ static void ppa_interrupt(void *data)
 
 	dev->cur_cmd = 0;
 
-	spin_lock_irqsave(cmd->device->host->host_lock, flags);
 	cmd->scsi_done(cmd);
-	spin_unlock_irqrestore(cmd->device->host->host_lock, flags);
-	return;
 }
 
 static int ppa_engine(ppa_struct *dev, Scsi_Cmnd *cmd)

_
